Index: /trunk/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TypeDef.h	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TypeDef.h	(revision 1133)
@@ -103,5 +103,5 @@
                                               // MTK_NBDV_TN_FIX_E0172     fix the issue of DV derivation from the temporal neighboring blocks, issue 7 in JCT3V-E0172
                                               // MTK_TEXTURE_MRGCAND_BUGFIX_E0182  Bug fix for TEXTURE MERGING CANDIDATE     , JCT3V-E0182
-#define LGE_SIMP_DISP_AVAIL_J0041    1   // Use 2 status for disparity availability - DISP_AVAILABLE and DISP_NONE
+                                              // LGE_SIMP_DISP_AVAIL_J0041    // Use 2 status for disparity availability - DISP_AVAILABLE and DISP_NONE
 
 #define H_3D_ARP                          1   // Advanced residual prediction (ARP), JCT3V-D0177
@@ -129,4 +129,5 @@
                                               // MTK_LOW_LATENCY_IC_ENCODING_H0086_FIX  1  // Remove the global variables used in JCT3V-H0086
                                               // SEC_IC_NEIGHBOR_CLIP_I0080    // Clipping of neighboring sample position, JCT3V-I0080
+                                              // LGE_CHROMA_IC_J0050_J0034
 
 #if H_3D_NBDV
@@ -156,5 +157,7 @@
                                               // NTT_STORE_SPDV_VSP_G0148 Storing Sub-PU based DV for VSP
                                               // Restricted bi-prediction for VSP
-#define SEC_A1_BASED_VSP_J0039            1   // Removal of redundant VSP in Merge list
+                                              // MTK_MRG_LIST_SIZE_CLEANUP_J0059   1   // Include VSP for deriving merge candidate list size, JCT3V-J0059
+                                              // SEC_A1_BASED_VSP_J0039            1   // Removal of redundant VSP in Merge list
+
 
 
@@ -182,5 +185,5 @@
                                               // SEC_SIMP_SHIFTED_DV_I0086     Simplification of Shifted DV candidate, JCT3V-I0086
 
-#define MTK_MRG_LIST_SIZE_CLEANUP_J0059   1   // Include VSP for deriving merge candidate list size, JCT3V-J0059
+
 
 
@@ -231,15 +234,13 @@
                                               // SEPARATE_FLAG_I0085
                                               // H_3D_DELTA_DLT
-                                              // RWTH_DLT_CLIP_I0057               1
-
-
+                                              // RWTH_DLT_CLIP_I0057
+                                              // MTK_DMM_SIM_J0035
+                                              // MTK_J0033
+                                              // SHARP_DLT_SIMP_J0029              1   // DLT(DepthValue2Idx[]) table derivation cleanup
 
 #define H_3D_SINGLE_DEPTH                 1   // Single depth mode proposed in JCT3V-I0095
-#define MTK_SINGLE_DEPTH_VPS_FLAG_J0060   1   // Add VPS control flags and remove slice header control flag for single depth, JCT3V-J0060
-#define ALIGN_J0060_J0107                 1   // Alignment of changed tool parameters
-#define ALGIN_J0107_J0059                 1   // Alignment of changed tool parameters                
-
-#define MTK_J0033                         1
-#define SHARP_DLT_SIMP_J0029              1   // DLT(DepthValue2Idx[]) table derivation cleanup
+                                              // HS_SP_SIMP_J0066
+                                              // SINGLE_DEPTH_SIMP_J0115           1 
+                                              // MTK_SINGLE_DEPTH_VPS_FLAG_J0060   1   // Add VPS control flags and remove slice header control flag for single depth, JCT3V-J0060
 
 #define H_3D_INTER_SDC                    1   // INTER SDC, Inter simplified depth coding
@@ -263,8 +264,8 @@
                                               // SHARP_DBBP_SIMPLE_FLTER_I0109     1   // Simple condition and one dimensional filter for DBBP
                                               // SEC_DBBP_DMM4_THRESHOLD_I0076     Simplification of threshold derivation for DBBP and DMM4, JCT3V-I0076
-#define SEC_DBBP_VIEW_REF_CHECK_J0037     1   // Signaling dbbp_flag when the current slice has view reference picture(s), JCT3V-J0037 item4
+                                              // SEC_DBBP_VIEW_REF_CHECK_J0037     1   // Signaling dbbp_flag when the current slice has view reference picture(s), JCT3V-J0037 item4
 
 #define H_3D_DDD                          1   // Disparity derived depth coding
-#define LGE_DDD_REMOVAL_J0042_J0030       1   // DDD removal
+                                              // LGE_DDD_REMOVAL_J0042_J0030 DDD removal
 
 #define H_3D_FCO                          0   // Flexible coding order for 3D
@@ -283,6 +284,10 @@
 #define H_3D_FAST_DEPTH_INTRA             1   // Fast DMM and RBC Mode Selection
                                               // SCU_HS_FAST_DEPTH_INTRA_E0238_HHIFIX
-#define MTK_DMM_SIM_J0035                 1
-#endif
+#endif
+
+//HLS
+//HHI_DEPENDENCY_SIGNALLING_I1_J0107
+//HHI_TOOL_PARAMETERS_I2_J0107
+//HHI_VPS_3D_EXTENSION_I3_J0107
 
 // Rate Control
@@ -302,7 +307,4 @@
 
 #if H_3D
-#define HHI_DEPENDENCY_SIGNALLING_I1_J0107     1
-#define HHI_TOOL_PARAMETERS_I2_J0107           1
-#define HHI_VPS_3D_EXTENSION_I3_J0107          1
 #define HHI_VIEW_ID_LIST_I5_J0107              0
 #endif
@@ -314,5 +316,5 @@
 #if H_3D_SINGLE_DEPTH
 #define SINGLE_DEPTH_MODE_CAND_LIST_SIZE            2 // size of the sample candidate list
-#define SINGLE_DEPTH_SIMP_J0115           1 
+
 #endif
 
@@ -331,5 +333,4 @@
 #define DVFROM_ABOVE                      1
 #define IDV_CANDS                         2
-#define LGE_DEFAULT_DV_J0046              1
 #endif
 
@@ -349,4 +350,6 @@
                                               // HHI_DEPTH_INTRA_SEARCH_RAU_C0160
                                               // LG_ZEROINTRADEPTHRESI_A0087
+
+#define TICKET083_IVPFLAG_FIX             1
 #endif
 ///// ***** VIEW SYNTHESIS PREDICTION *********
@@ -367,5 +370,4 @@
 #define IC_SHIFT_DIFF                     12
 #define IC_LOW_LATENCY_ENCODING_THRESHOLD 0.1 // Threshold for low-latency IC encoding in JCT3V-H0086
-#define LGE_CHROMA_IC_J0050_J0034         1
 #endif
 
@@ -389,8 +391,4 @@
 #endif
 
-
-#if H_3D_SPIVMP
-#define HS_SP_SIMP_J0066                        1
-#endif
 
 /////////////////////////////////////////////////////////////////////////////////
@@ -935,5 +933,4 @@
 enum DefaultMergCandOrder
 {
-#if SEC_A1_BASED_VSP_J0039
   MRG_T = 0,            ///< MPI
   MRG_D,                ///< DDD
@@ -948,18 +945,4 @@
   MRG_IVSHIFT,          ///< Shifted IVMC of Shifted IVDC. (These are mutually exclusive)
   MRG_COL               ///< Temporal co-located
-#else
-  MRG_T = 0,            ///< MPI
-  MRG_D,                ///< DDD
-  MRG_IVMC,             ///< Temporal inter-view
-  MRG_A1,               ///< Left
-  MRG_B1,               ///< Above
-  MRG_B0,               ///< Above right
-  MRG_IVDC,             ///< Disparity inter-view
-  MRG_VSP,              ///< VSP
-  MRG_A0,               ///< Left bottom
-  MRG_B2,               ///< Above left
-  MRG_IVSHIFT,          ///< Shifted IVMC of Shifted IVDC. (These are mutually exclusive)
-  MRG_COL               ///< Temporal co-located
-#endif
 };
 #endif
Index: /trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1133)
@@ -721,13 +721,5 @@
 }
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 Void TDecCavlc::parseSPS(TComSPS* pcSPS)
-#else
-#if H_3D
-Void TDecCavlc::parseSPS(TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
-#else
-Void TDecCavlc::parseSPS(TComSPS* pcSPS)
-#endif
-#endif
 {
 #if ENC_DEC_TRACE  
@@ -997,9 +989,5 @@
   if ( pcSPS->getSps3dExtensionFlag() )
   {
-#if HHI_TOOL_PARAMETERS_I2_J0107
     parseSPS3dExtension( pcSPS ); 
-#else
-    parseSPSExtension2( pcSPS, viewIndex, depthFlag  ); 
-#endif
   }
 
@@ -1028,5 +1016,4 @@
 
 #if H_3D
-#if HHI_TOOL_PARAMETERS_I2_J0107
 Void TDecCavlc::parseSPS3dExtension( TComSPS* pcSPS )
 { 
@@ -1057,10 +1044,4 @@
   }
 }
-#else
-Void TDecCavlc::parseSPSExtension2( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
-{ 
-
-}
-#endif
 #endif
 
@@ -1071,5 +1052,4 @@
   READ_FLAG( uiCode, "pps_infer_scaling_list_flag" ); pcPPS->setPpsInferScalingListFlag( uiCode == 1 );
   READ_CODE( 6, uiCode, "pps_scaling_list_ref_layer_id" ); pcPPS->setPpsScalingListRefLayerId( uiCode );
-#if H_MV_HLS_FIX
 
   UInt numRefLocOffsets;; 
@@ -1112,7 +1092,4 @@
   // This is required to equal to 0 for Multiview Main profile. 
   assert( uiCode == 0 ); 
-#else
-  READ_UVLC( uiCode, "num_ref_loc_offsets" ); assert( uiCode == 0 );
-#endif
 }
 
@@ -1237,5 +1214,4 @@
     {
 #if H_3D
-#if HHI_VPS_3D_EXTENSION_I3_J0107
       READ_FLAG( uiCode,  "vps_3d_extension_flag" );
       if ( uiCode )
@@ -1248,12 +1224,4 @@
       if (uiCode)
       {      
-#else
-      m_pcBitstream->readOutTrailingBits();
-      pcVPS->createCamPars(pcVPS->getNumViews());
-      parseVPSExtension2( pcVPS );   
-      READ_FLAG( uiCode,  "vps_extension3_flag" );
-      if (uiCode)
-      {      
-#endif
 #endif
 #endif  
@@ -1330,7 +1298,5 @@
   }
 
-#if H_MV_FIX_NUM_VIEWS
   pcVPS->initNumViews(); 
-#endif
 
   READ_CODE( 4, uiCode, "view_id_len" ); pcVPS->setViewIdLen( uiCode );
@@ -1441,9 +1407,5 @@
   for( Int i = 1; i < pcVPS->getNumOutputLayerSets( ); i++ )
   {
-#if H_MV_HLS_FIX
     if( pcVPS->getNumLayerSets() > 2 && i >= pcVPS->getNumLayerSets( ) )    
-#else
-    if( i >= pcVPS->getNumLayerSets( ) )    
-#endif
     {        
       READ_CODE( pcVPS->getLayerSetIdxForOlsMinus1Len( i ), uiCode, "layer_set_idx_for_ols_minus1[i]" ); pcVPS->setLayerSetIdxForOlsMinus1( i, uiCode ); 
@@ -1517,7 +1479,5 @@
   READ_FLAG( uiCode, "max_one_active_ref_layer_flag" ); pcVPS->setMaxOneActiveRefLayerFlag ( uiCode == 1 ); 
 
-#if H_MV_HLS7_GEN || H_MV_HLS_FIX
   READ_FLAG( uiCode, "vps_poc_lsb_aligned_flag" ); pcVPS->setVpsPocLsbAlignedFlag( uiCode == 1 );
-#endif
   for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
   {
@@ -1567,7 +1527,5 @@
     parseVPSVUI( pcVPS ); 
   }     
-#if H_MV_HLS_FIX
   else
-#endif
   {
     TComVPSVUI* pcVPSVUI = pcVPS->getVPSVUI( ); 
@@ -1945,82 +1903,8 @@
 
 #if H_3D
-#if HHI_VPS_3D_EXTENSION_I3_J0107
 Void TDecCavlc::parseVPS3dExtension( TComVPS* pcVPS )
-#else
-Void TDecCavlc::parseVPSExtension2( TComVPS* pcVPS )
-#endif
 {
   UInt uiCode; 
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  for( Int i = 1; i <= pcVPS->getMaxLayersMinus1(); i++ )
-  {
-#if H_3D_ARP
-    pcVPS->setUseAdvRP  ( i, 0 );
-    pcVPS->setARPStepNum( i, 1 );
-#endif  
-#if H_3D_SPIVMP
-    pcVPS->setSubPULog2Size(i, 0);
-#endif
-    {
-#if H_3D_IV_MERGE
-      READ_FLAG( uiCode, "iv_mv_pred_flag[i]");          pcVPS->setIvMvPredFlag         ( i, uiCode == 1 ? true : false );
-      READ_FLAG( uiCode, "iv_mv_scaling_flag[i]");       pcVPS->setIvMvScalingFlag         ( i, uiCode == 1 ? true : false );
-#endif
-      if( !( pcVPS->getDepthId( i ) == 1 ) )
-      {
-#if H_3D_IV_MERGE
-        if( !pcVPS->getNumDirectRefLayers(i) )
-        {
-          assert( !uiCode );         
-        }
-#if H_3D_SPIVMP
-        READ_UVLC (uiCode, "log2_sub_PU_size_minus3[i]");     pcVPS->setSubPULog2Size(i, uiCode+3); 
-#endif
-#endif
-#if H_3D_ARP
-        READ_FLAG( uiCode, "iv_res_pred_flag[i]"  );       pcVPS->setUseAdvRP  ( i, uiCode ); pcVPS->setARPStepNum( i, uiCode ? H_3D_ARP_WFNR : 1 );
-        if( !pcVPS->getNumDirectRefLayers(i) )
-        {
-          assert( !uiCode );         
-        }
-#endif
-#if H_3D_NBDV_REF
-        READ_FLAG( uiCode, "depth_refinement_flag[i]");    pcVPS->setDepthRefinementFlag  ( i, uiCode == 1 ? true : false );
-#endif
-#if H_3D_VSP
-        READ_FLAG( uiCode, "view_synthesis_pred_flag[i]"); pcVPS->setViewSynthesisPredFlag( i, uiCode == 1 ? true : false );
-        if( !pcVPS->getNumDirectRefLayers(i) )
-        {
-          assert( !uiCode );         
-        }
-#endif
-#if H_3D_DBBP
-          READ_FLAG( uiCode, "use_dbbp_flag[i]" ); pcVPS->setUseDBBP( i, uiCode == 1 ? true : false );
-#endif
-      }
-      else
-      {
-#if H_3D_IV_MERGE
-        READ_FLAG( uiCode, "mpi_flag[i]" );             pcVPS->setMPIFlag( i, uiCode == 1 ? true : false );
-        READ_UVLC (uiCode, "log2_mpi_sub_PU_size_minus3[i]");     pcVPS->setSubPUMPILog2Size(i, uiCode+3);
-#endif
-        READ_FLAG( uiCode, "vps_depth_modes_flag[i]" );             pcVPS->setVpsDepthModesFlag( i, uiCode == 1 ? true : false );
-#if H_3D
-        READ_FLAG( uiCode, "ivp_flag[i]" );                   pcVPS->setIVPFlag( i, uiCode == 1 ? true : false );
-#endif
-#if H_3D_QTLPC
-        READ_FLAG( uiCode, "lim_qt_pred_flag[i]");                  pcVPS->setLimQtPredFlag     ( i, uiCode == 1 ? true : false ); 
-#endif
-#if H_3D_INTER_SDC
-            READ_FLAG( uiCode, "depth_inter_SDC_flag" );              pcVPS->setInterSDCFlag( i, uiCode ? true : false );
-#endif
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-        READ_FLAG( uiCode, "single_depth_mode_flag[i]"); pcVPS->setSingleDepthModeFlag( i, uiCode == 1 ? true : false );        
-#endif
-      }
-    }
-  }
-#endif
 
   UInt uiCamParPrecision = 0; 
@@ -2131,8 +2015,6 @@
 #endif
   rpcSlice->setSPS(sps);
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   rpcSlice->init3dToolParameters();
-#endif
 #endif
   rpcSlice->setPPS(pps);
@@ -2207,11 +2089,4 @@
     rpcSlice->checkCrossLayerBlaFlag( ); 
 
-#if !H_MV_HLS7_GEN && !H_MV_HLS_FIX
-    if ( rpcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      READ_FLAG( uiCode, "poc_reset_flag" ); rpcSlice->setPocResetFlag( uiCode == 1 );
-    }
-#endif
 
     for (; esb < rpcSlice->getPPS()->getNumExtraSliceHeaderBits(); esb++)    
@@ -2492,5 +2367,4 @@
     Bool interLayerPredLayerIdcPresentFlag = false; 
     Int layerId       = rpcSlice->getLayerId(); 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
     if( rpcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumRefListLayers( layerId ) > 0 )
@@ -2498,10 +2372,6 @@
     if( rpcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumDirectRefLayers( layerId ) > 0 )
 #endif
-#else
-    if( rpcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumDirectRefLayers( layerId ) > 0 )
-#endif
     {   
       READ_FLAG( uiCode, "inter_layer_pred_enabled_flag" ); rpcSlice->setInterLayerPredEnabledFlag( uiCode == 1 );
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
       if( rpcSlice->getInterLayerPredEnabledFlag() && vps->getNumRefListLayers( layerId ) > 1 )
@@ -2509,7 +2379,4 @@
       if( rpcSlice->getInterLayerPredEnabledFlag() && vps->getNumDirectRefLayers( layerId ) > 1 )
 #endif
-#else
-      if( rpcSlice->getInterLayerPredEnabledFlag() && vps->getNumDirectRefLayers( layerId ) > 1 )
-#endif
       {            
         if( !vps->getMaxOneActiveRefLayerFlag())  
@@ -2517,10 +2384,6 @@
           READ_CODE( rpcSlice->getNumInterLayerRefPicsMinus1Len( ), uiCode, "num_inter_layer_ref_pics_minus1" ); rpcSlice->setNumInterLayerRefPicsMinus1( uiCode );
         }
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
         if ( rpcSlice->getNumActiveRefLayerPics() != vps->getNumRefListLayers( layerId ) )
-#else
-        if ( rpcSlice->getNumActiveRefLayerPics() != vps->getNumDirectRefLayers( layerId ) )
-#endif
 #else
         if ( rpcSlice->getNumActiveRefLayerPics() != vps->getNumDirectRefLayers( layerId ) )
@@ -2711,9 +2574,5 @@
     }
 #if H_3D_IC
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
     else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) && !rpcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 )
-#else
-    else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) && !rpcSlice->getIsDepth() && vps->getNumDirectRefLayers( layerId ) > 0 )
-#endif
     {
       UInt uiCodeTmp = 0;
@@ -2729,42 +2588,9 @@
     }
 #endif
-#if !MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-#if H_3D_SINGLE_DEPTH
-    if(rpcSlice->getIsDepth())
-    {
-      UInt uiCodeTmp = 0;
-      READ_FLAG( uiCodeTmp, "slice_enable_single_depth_mode" );
-      rpcSlice->setApplySingleDepthMode(uiCodeTmp);
-    }
-#endif
-#endif
     if (!rpcSlice->isIntra())
     {
       READ_UVLC( uiCode, "five_minus_max_num_merge_cand");
 #if H_3D_IV_MERGE
-#if HHI_TOOL_PARAMETERS_I2_J0107
-#if ALGIN_J0107_J0059
       rpcSlice->setMaxNumMergeCand(( ( rpcSlice->getMpiFlag() || rpcSlice->getIvMvPredFlag() || rpcSlice->getViewSynthesisPredFlag() ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS) - uiCode);
-#else
-      rpcSlice->setMaxNumMergeCand(( ( rpcSlice->getMpiFlag() || rpcSlice->getIvMvPredFlag() ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS) - uiCode);
-#endif
-#else
-      if(rpcSlice->getIsDepth())
-      {
-        Bool bMPIFlag = rpcSlice->getVPS()->getMPIFlag( rpcSlice->getLayerIdInVps() ) ;
-        Bool ivMvPredFlag = rpcSlice->getVPS()->getIvMvPredFlag( rpcSlice->getLayerIdInVps() ) ;
-        rpcSlice->setMaxNumMergeCand(( ( bMPIFlag || ivMvPredFlag ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS) - uiCode);
-      }
-      else
-      {
-        Bool ivMvPredFlag = rpcSlice->getVPS()->getIvMvPredFlag( rpcSlice->getLayerIdInVps() ) ;
-#if MTK_MRG_LIST_SIZE_CLEANUP_J0059
-        Bool vspFlag = rpcSlice->getVPS()->getViewSynthesisPredFlag( rpcSlice->getLayerIdInVps() ) ;
-        rpcSlice->setMaxNumMergeCand(( ivMvPredFlag || vspFlag? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS) - uiCode);
-#else
-        rpcSlice->setMaxNumMergeCand(( ivMvPredFlag ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS) - uiCode);
-#endif
-      }
-#endif
 #else
       rpcSlice->setMaxNumMergeCand(MRG_MAX_NUM_CANDS - uiCode);
@@ -2926,15 +2752,6 @@
 
     // Derive the value of PocMs8bValRequiredFlag
-#if !H_MV_HLS_FIX
-    rpcSlice->setPocMsbValRequiredFlag( rpcSlice->getCraPicFlag() || rpcSlice->getBlaPicFlag()
-                                          /* || TODO related to vps_poc_lsb_aligned_flag */
-                                          );
-#endif
-
-#if H_MV_HLS_FIX
+
     if( !rpcSlice->getPocMsbValRequiredFlag() && rpcSlice->getVPS()->getVpsPocLsbAlignedFlag() )
-#else
-    if( !rpcSlice->getPocMsbValRequiredFlag() /* TODO &&  rpcSlice->getVPS()->getVpsPocLsbAlignedFlag() */ )
-#endif
     {
       READ_FLAG( uiCode, "poc_msb_val_present_flag" ); rpcSlice->setPocMsbValPresentFlag( uiCode == 1 );
Index: /trunk/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1133)
@@ -90,16 +90,7 @@
 #endif
 #if H_3D
-#if HHI_VPS_3D_EXTENSION_I3_J0107
   Void  parseVPS3dExtension  ( TComVPS* pcVPS ); 
-#else
-  Void  parseVPSExtension2  ( TComVPS* pcVPS ); 
-#endif
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Void  parseSPS3dExtension ( TComSPS* pcSPS );
   Void  parseSPS            ( TComSPS* pcSPS );
-#else
-  Void  parseSPSExtension2  ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag );
-  Void  parseSPS            ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag );
-#endif  
 #else
   Void  parseSPS            ( TComSPS* pcSPS );
Index: /trunk/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1133)
@@ -291,9 +291,4 @@
   DTRACE_CU_S("=========== coding_unit ===========\n")
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-      pcCU->setUseDDD( false, uiAbsPartIdx, uiDepth );
-#endif
-#endif
 
   if( (g_uiMaxCUWidth>>uiDepth) >= pcCU->getSlice()->getPPS()->getMinCuDQPSize() && pcCU->getSlice()->getPPS()->getUseDQP())
@@ -315,9 +310,5 @@
   {
 #if H_3D_ARP && H_3D_IV_MERGE
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( pcCU->getSlice()->getIvResPredFlag() || pcCU->getSlice()->getIvMvPredFlag() )
-#else
-    if( pcCU->getSlice()->getVPS()->getUseAdvRP( pcCU->getSlice()->getLayerId() ) || pcCU->getSlice()->getVPS()->getIvMvPredFlag( pcCU->getSlice()->getLayerId() ))
-#endif
 #else 
 #if H_3D_ARP
@@ -349,9 +340,5 @@
 #endif
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
       if( pcCU->getSlice()->getDepthBasedBlkPartFlag() )  //Notes from QC: please check the condition for DoNBDV. Remove this comment once it is done.
-#else
-      if(pcCU->getSlice()->getVPS()->getDepthRefinementFlag( pcCU->getSlice()->getLayerIdInVps() ))  //Notes from QC: please check the condition for DoNBDV. Remove this comment once it is done.
-#endif
       {
         DvInfo.bDV = m_ppcCU[uiDepth]->getDisMvpCandNBDV(&DvInfo, true);
@@ -460,14 +447,4 @@
 #endif
     pcCU->setInterDirSubParts( uhInterDirNeighbours[uiMergeIndex], uiAbsPartIdx, 0, uiDepth );
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-    if( uiMergeIndex == m_ppcCU[uiDepth]->getUseDDDCandIdx() )
-    {
-        assert( pcCU->getSlice()->getViewIndex() != 0 );
-        pcCU->setUseDDD( true, uiAbsPartIdx, 0, uiDepth );
-        pcCU->setDDDepthSubParts( m_ppcCU[uiDepth]->getDDTmpDepth(),uiAbsPartIdx, 0, uiDepth );
-    }
-#endif
-#endif
 
     TComMv cTmpMv( 0, 0 );
@@ -744,15 +721,7 @@
   //construction of depth candidates
   Pel testDepth;
-#if SINGLE_DEPTH_SIMP_J0115
   Pel DepthNeighbours[2];
-#else
-  Pel DepthNeighbours[5];
-#endif
   Int index =0;
-#if SINGLE_DEPTH_SIMP_J0115
   for( Int i = 0; (i < 2) && (index<SINGLE_DEPTH_MODE_CAND_LIST_SIZE) ; i++ )
-#else
-  for( Int i = 0; (i < 5) && (index<SINGLE_DEPTH_MODE_CAND_LIST_SIZE) ; i++ )
-#endif
   {
     if(!pcCU->getNeighDepth (0, uiAbsPartIdx, &testDepth, i))
@@ -762,14 +731,4 @@
     DepthNeighbours[index]=testDepth;
     index++;
-#if !SINGLE_DEPTH_SIMP_J0115
-    for(Int j=0;j<index-1;j++)
-    {
-     if( (DepthNeighbours[index-1]==DepthNeighbours[j]) )
-     {
-       index--;
-       break;
-     }
-    }
-#endif
   }
 
Index: /trunk/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 1133)
@@ -59,22 +59,4 @@
     return;
   }  
-#if ALIGN_J0060_J0107
-#else
-  if ( !pcCU->getSlice()->getIsDepth() )
-  {
-    return;
-  }
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-  if(!pcCU->getSlice()->getVPS()->getSingleDepthModeFlag(pcCU->getSlice()->getLayerIdInVps()))
-  {
-     return;
-  }
-#else
-  if(!pcCU->getSlice()->getApplySingleDepthMode())
-  {
-     return;
-  }
-#endif
-#endif
 
   m_pcEntropyDecoderIf->parseSingleDepthMode( pcCU, uiAbsPartIdx, uiDepth );
@@ -167,13 +149,5 @@
   
 #if H_3D_DBBP
-#if SEC_DBBP_VIEW_REF_CHECK_J0037
-  #if HHI_TOOL_PARAMETERS_I2_J0107
 if( pcCU->getSlice()->getDepthBasedBlkPartFlag() && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#else
-if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#endif
-#else
-  if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 )
-#endif
   {
     decodeDBBPFlag(pcCU, uiAbsPartIdx, uiDepth);
@@ -360,18 +334,4 @@
       }
       pcCU->setInterDirSubParts( uhInterDirNeighbours[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-      if( uiMergeIndex == pcSubCU->getUseDDDCandIdx() )
-      {
-          assert( pcCU->getSlice()->getViewIndex() != 0 );
-          pcCU->setUseDDD( true, uiSubPartIdx, uiPartIdx, uiDepth );
-          pcCU->setDDDepthSubParts( pcSubCU->getDDTmpDepth(),uiSubPartIdx, uiPartIdx, uiDepth );
-      }
-      else
-      {
-          pcCU->setUseDDD( false, uiSubPartIdx, uiPartIdx, uiDepth );
-      }
-#endif
-#endif
 
       TComMv cTmpMv( 0, 0 );
@@ -852,11 +812,6 @@
   pcCU->setSDCFlagSubParts( false, uiAbsPartIdx, uiDepth );
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if( ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getInterSdcFlag() ) || 
     ( pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getIntraSdcWedgeFlag() ) )
-#else
-  if( ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) ) || 
-    ( pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getVPS()->getVpsDepthModesFlag( pcCU->getSlice()->getLayerIdInVps() ) ) )
-#endif
   {
     return;
Index: /trunk/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1133)
@@ -66,13 +66,5 @@
 
   virtual Void  parseVPS                  ( TComVPS* pcVPS )                       = 0;
-#if HHI_TOOL_PARAMETERS_I2_J0107
   virtual Void  parseSPS                  ( TComSPS* pcSPS )                                      = 0;
-#else
-#if H_3D
-  virtual Void  parseSPS                  ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag  )                    = 0;
-#else
-  virtual Void  parseSPS                  ( TComSPS* pcSPS )                                      = 0;
-#endif
-#endif
 #if H_3D
   virtual Void  parsePPS                  ( TComPPS* pcPPS, TComVPS* pcVPS )                      = 0;
@@ -161,13 +153,5 @@
   Void    resetEntropy                ( TComSlice* p)           { m_pcEntropyDecoderIf->resetEntropy(p);                    }
   Void    decodeVPS                   ( TComVPS* pcVPS ) { m_pcEntropyDecoderIf->parseVPS(pcVPS); }
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Void    decodeSPS                   ( TComSPS* pcSPS     )    { m_pcEntropyDecoderIf->parseSPS(pcSPS);                    }
-#else
-#if H_3D
-  Void    decodeSPS                   ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )    { m_pcEntropyDecoderIf->parseSPS(pcSPS, viewIndex, depthFlag );                    }
-#else
-  Void    decodeSPS                   ( TComSPS* pcSPS     )    { m_pcEntropyDecoderIf->parseSPS(pcSPS);                    }
-#endif
-#endif
 #if H_3D
   Void    decodePPS                   ( TComPPS* pcPPS, TComVPS* pcVPS )    { m_pcEntropyDecoderIf->parsePPS(pcPPS, pcVPS);                    }
Index: /trunk/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1133)
@@ -703,10 +703,5 @@
 
   
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag();
-#else
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
-  Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
-#endif
   TComPic *pcTexture      = pcCU->getSlice()->getTexturePic();
   Bool bDepthMapDetect    = (pcTexture != NULL);
@@ -762,10 +757,5 @@
   Bool bParsePartSize    = true;
   
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag();
-#else
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
-  Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
-#endif
   TComPic *pcTexture     = pcCU->getSlice()->getTexturePic();
   Bool bDepthMapDetect   = (pcTexture != NULL);
@@ -992,9 +982,5 @@
   {
 #if H_3D_DIM
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( pcCU->getSlice()->getIntraSdcWedgeFlag() || pcCU->getSlice()->getIntraContourFlag() )
-#else
-    if( pcCU->getSlice()->getVpsDepthModesFlag() || pcCU->getSlice()->getIVPFlag() )
-#endif
     {
       parseIntraDepth( pcCU, absPartIdx+partOffset*j, depth );
@@ -1111,7 +1097,5 @@
       xParseDmm1WedgeIdx( uiTabIdx, g_dmm1TabIdxBits[pcCU->getIntraSizeIdx(absPartIdx)] );
 
-#if MTK_J0033
       assert( uiTabIdx < g_dmmWedgeLists[ g_aucConvertToBit[ pcCU->getDMM1BasePatternWidth( pcCU->getWidth( absPartIdx ) )]].size());
-#endif
 
       pcCU->setDmmWedgeTabIdxSubParts( uiTabIdx, dimType, absPartIdx, depth );
@@ -1143,9 +1127,5 @@
   if( uiIsDimMode )
   {
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( pcCU->getSlice()->getIntraSdcWedgeFlag() && pcCU->getSlice()->getIntraContourFlag() )
-#else
-    if( pcCU->getSlice()->getVpsDepthModesFlag() && pcCU->getSlice()->getIVPFlag() )
-#endif
     {
       m_pcTDecBinIf->decodeBin( uiSymbol, m_cDepthIntraModeSCModel.get( 0, 0, 0 ) );
@@ -1159,17 +1139,9 @@
       }
     }
-#if HHI_TOOL_PARAMETERS_I2_J0107
     else if ( pcCU->getSlice()->getIntraSdcWedgeFlag() )
-#else
-    else if ( pcCU->getSlice()->getVpsDepthModesFlag() )
-#endif
     {
       pcCU->setLumaIntraDirSubParts( DIM_OFFSET, absPartIdx, depth );
     }
-#if HHI_TOOL_PARAMETERS_I2_J0107
     else if( pcCU->getSlice()->getIntraContourFlag() )
-#else
-    else if( pcCU->getSlice()->getIVPFlag() )
-#endif
     {
       pcCU->setLumaIntraDirSubParts( ( 1+ DIM_OFFSET ), absPartIdx, depth );
@@ -2151,9 +2123,5 @@
 Void TDecSbac::parseDBBPFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
-#if HHI_TOOL_PARAMETERS_I2_J0107
   AOF( pcCU->getSlice()->getDepthBasedBlkPartFlag() );
-#else
-  AOF( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) );
-#endif
   AOF( !pcCU->getSlice()->getIsDepth() );
   
Index: /trunk/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecSbac.h	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecSbac.h	(revision 1133)
@@ -76,13 +76,5 @@
   Void  setBitstream              ( TComInputBitstream* p  ) { m_pcBitstream = p; m_pcTDecBinIf->init( p ); }
   Void  parseVPS                  ( TComVPS* /*pcVPS*/ ) {}
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Void  parseSPS                  ( TComSPS* /*pcSPS*/ ) {}
-#else
-#if H_3D
-  Void  parseSPS                  ( TComSPS* /*pcSPS*/ , Int /*viewIndex*/, Bool /*depthFlag*/ ) {}
-#else
-  Void  parseSPS                  ( TComSPS* /*pcSPS*/ ) {}
-#endif
-#endif
 #if H_3D
   Void  parsePPS                  ( TComPPS* /*pcPPS*/, TComVPS* /*pcVPS*/ ) {}
